Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.world
Enum EnumGameType

    java.lang.Object
      java.lang.Enum<EnumGameType>
          net.minecraft.world.EnumGameType

All Implemented Interfaces:
  Serializable, Comparable<EnumGameType>

    public enum EnumGameType

extends Enum<EnumGameType>

Enum Constant Summary
`ADVENTURE`
`CREATIVE`
`NOT_SET`
`SURVIVAL`

Method Summary
`void` | `configurePlayerCapabilities(PlayerCapabilities par1PlayerCapabilities)` Configures the player capabilities based on the game type
`static EnumGameType` | `getByID(int par0)` Returns the game type with the specified ID, or SURVIVAL if none found.
`static EnumGameType` | `getByName(String par0Str)`
`int` | `getID()` Returns the ID of this game type
`String` | `getName()` Returns the name of this game type
`boolean` | `isAdventure()` Returns true if this is the ADVENTURE game type
`boolean` | `isCreative()` Returns true if this is the CREATIVE game type
`boolean` | `isSurvivalOrAdventure()`
`static EnumGameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumGameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_SET

    public static final EnumGameType NOT_SET

### SURVIVAL

    public static final EnumGameType SURVIVAL

### CREATIVE

    public static final EnumGameType CREATIVE

### ADVENTURE

    public static final EnumGameType ADVENTURE

Method Detail

### values

    public static EnumGameType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumGameType c : EnumGameType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumGameType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getID

    public int getID()

  Returns the ID of this game type

### getName

    public String getName()

  Returns the name of this game type

### configurePlayerCapabilities

    public void configurePlayerCapabilities(PlayerCapabilities par1PlayerCapabilities)

  Configures the player capabilities based on the game type

### isAdventure

    public boolean isAdventure()

  Returns true if this is the ADVENTURE game type

### isCreative

    public boolean isCreative()

  Returns true if this is the CREATIVE game type

### isSurvivalOrAdventure

    public boolean isSurvivalOrAdventure()

### getByID

    public static EnumGameType getByID(int par0)

  Returns the game type with the specified ID, or SURVIVAL if none found. Args: id

### getByName

    public static EnumGameType getByName(String par0Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD